# Uses of Interface
org.eclipse.update.configurator.IPlatformConfiguration.ISiteEntry

Packages that use IPlatformConfiguration.ISiteEntry
Package
Description
org.eclipse.update.configurator
Provides support for accessing platform configuration data.

## Uses of IPlatformConfiguration.ISiteEntry in org.eclipse.update.configurator

Methods in org.eclipse.update.configurator that return IPlatformConfiguration.ISiteEntry
Modifier and Type
Method
Description
`IPlatformConfiguration.ISiteEntry`
IPlatformConfiguration.`createSiteEntry(URL url, IPlatformConfiguration.ISitePolicy policy)`
Deprecated.
`IPlatformConfiguration.ISiteEntry`
IPlatformConfiguration.`findConfiguredSite(URL url)`
Deprecated.
`IPlatformConfiguration.ISiteEntry[]`
IPlatformConfiguration.`getConfiguredSites()`
Deprecated.
Methods in org.eclipse.update.configurator with parameters of type IPlatformConfiguration.ISiteEntry
Modifier and Type
Method
Description
`void`
IPlatformConfiguration.`configureSite(IPlatformConfiguration.ISiteEntry entry)`
Deprecated.
`void`
IPlatformConfiguration.`configureSite(IPlatformConfiguration.ISiteEntry entry, boolean replace)`
Deprecated.
`void`
IPlatformConfiguration.`unconfigureSite(IPlatformConfiguration.ISiteEntry entry)`
Deprecated.